com.fasterxml.jackson.databind.ser.std

## Class StdJdkSerializers

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.std.StdJdkSerializers

-     public class StdJdkSerializers
      extends java.lang.Object

  Class that providers access to serializers user for non-structured JDK types that are serializer as scalars; some using basic `ToStringSerializer`, others explicit serializers.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StdJdkSerializers.AtomicBooleanSerializer`
    `static class` | `StdJdkSerializers.AtomicIntegerSerializer`
    `static class` | `StdJdkSerializers.AtomicLongSerializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StdJdkSerializers()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Collection<java.util.Map.Entry<java.lang.Class<?>,java.lang.Object>>` | `all()` Method called by `BasicSerializerFactory` to access all serializers this class provides.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StdJdkSerializers

          public StdJdkSerializers()

  - ### Method Detail

    - #### all

          public static java.util.Collection<java.util.Map.Entry<java.lang.Class<?>,java.lang.Object>> all()

      Method called by `BasicSerializerFactory` to access all serializers this class provides.